> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ottieni il piano attuale

> Restituisce il piano di fatturazione corrente dell'account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/billing/current-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/current-plan:
    get:
      tags:
        - public-accounts
        - public-billing
      summary: Ottieni il piano attuale
      description: Restituisce il piano di fatturazione corrente dell'account.
      operationId: >-
        get_public_current_plan_v1_public_accounts__account_id__billing_current_plan_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCurrentPlanResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicCurrentPlanResponse:
      properties:
        billing_period:
          description: Periodo di fatturazione per il piano corrente
          title: Periodo di fatturazione
          type: string
        can_cancel_plan:
          default: false
          description: Se il piano può essere annullato
          title: Può annullare il piano
          type: boolean
        can_change_plan:
          default: false
          description: Se il piano può essere modificato
          title: Può cambiare piano
          type: boolean
        currency:
          description: Codice valuta di fatturazione
          title: Valuta
          type: string
        plan_id:
          description: ID del piano di fatturazione corrente
          title: Id piano
          type: string
        plan_name:
          description: Nome del piano di fatturazione attuale
          title: Nome del piano
          type: string
        price:
          description: Prezzo del piano attuale
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: prezzo
          type: string
        status:
          description: Stato attuale del piano
          title: Stato
          type: string
      required:
        - plan_id
        - plan_name
        - billing_period
        - price
        - currency
        - status
      title: PublicCurrentPlanResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````